Hex Artifact Content

Artifact 48e26ee9c7d8e60728a8893e71a63854399cb03d:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 4c 58 56 45 52 53 3d 22 38 2e 34 2e 31 22 0a  CLXVERS="8.4.1".
0100: 53 52 43 3d 22 73 72 63 2f 74 63 6c 78 24 7b 54  SRC="src/tclx${T
0110: 43 4c 58 56 45 52 53 7d 2e 74 61 72 2e 62 7a 32  CLXVERS}.tar.bz2
0120: 22 0a 53 52 43 55 52 4c 3d 22 68 74 74 70 3a 2f  ".SRCURL="http:/
0130: 2f 73 6f 75 72 63 65 66 6f 72 67 65 2e 6e 65 74  /sourceforge.net
0140: 2f 70 72 6f 6a 65 63 74 73 2f 74 63 6c 78 2f 66  /projects/tclx/f
0150: 69 6c 65 73 2f 54 63 6c 58 2f 24 7b 54 43 4c 58  iles/TclX/${TCLX
0160: 56 45 52 53 7d 2f 74 63 6c 78 24 7b 54 43 4c 58  VERS}/tclx${TCLX
0170: 56 45 52 53 7d 2e 74 61 72 2e 62 7a 32 2f 64 6f  VERS}.tar.bz2/do
0180: 77 6e 6c 6f 61 64 22 0a 42 55 49 4c 44 44 49 52  wnload".BUILDDIR
0190: 3d 22 24 28 70 77 64 29 2f 62 75 69 6c 64 2f 74  ="$(pwd)/build/t
01a0: 63 6c 78 38 2e 34 22 0a 4f 55 54 44 49 52 3d 22  clx8.4".OUTDIR="
01b0: 24 28 70 77 64 29 2f 6f 75 74 22 0a 49 4e 53 54  $(pwd)/out".INST
01c0: 44 49 52 3d 22 24 28 70 77 64 29 2f 69 6e 73 74  DIR="$(pwd)/inst
01d0: 22 0a 50 41 54 43 48 44 49 52 3d 22 24 28 70 77  ".PATCHDIR="$(pw
01e0: 64 29 2f 70 61 74 63 68 65 73 22 0a 65 78 70 6f  d)/patches".expo
01f0: 72 74 20 54 43 4c 58 56 45 52 53 20 53 52 43 20  rt TCLXVERS SRC 
0200: 53 52 43 55 52 4c 20 42 55 49 4c 44 44 49 52 20  SRCURL BUILDDIR 
0210: 4f 55 54 44 49 52 20 49 4e 53 54 44 49 52 20 50  OUTDIR INSTDIR P
0220: 41 54 43 48 44 49 52 0a 0a 23 20 53 65 74 20 63  ATCHDIR..# Set c
0230: 6f 6e 66 69 67 75 72 65 20 6f 70 74 69 6f 6e 73  onfigure options
0240: 20 66 6f 72 20 74 68 69 73 20 73 75 62 2d 70 72   for this sub-pr
0250: 6f 6a 65 63 74 0a 4c 44 46 4c 41 47 53 3d 22 24  oject.LDFLAGS="$
0260: 7b 4c 44 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 54  {LDFLAGS} ${KC_T
0270: 43 4c 58 5f 4c 44 46 4c 41 47 53 7d 22 0a 43 46  CLX_LDFLAGS}".CF
0280: 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d 20  LAGS="${CFLAGS} 
0290: 24 7b 4b 43 5f 54 43 4c 58 5f 43 46 4c 41 47 53  ${KC_TCLX_CFLAGS
02a0: 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22 24 7b 43  }".CPPFLAGS="${C
02b0: 50 50 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 54 43  PPFLAGS} ${KC_TC
02c0: 4c 58 5f 43 50 50 46 4c 41 47 53 7d 22 0a 4c 49  LX_CPPFLAGS}".LI
02d0: 42 53 3d 22 24 7b 4c 49 42 53 7d 20 24 7b 4b 43  BS="${LIBS} ${KC
02e0: 5f 54 43 4c 58 5f 4c 49 42 53 7d 22 0a 65 78 70  _TCLX_LIBS}".exp
02f0: 6f 72 74 20 4c 44 46 4c 41 47 53 20 43 46 4c 41  ort LDFLAGS CFLA
0300: 47 53 20 43 50 50 46 4c 41 47 53 20 4c 49 42 53  GS CPPFLAGS LIBS
0310: 0a 0a 72 6d 20 2d 72 66 20 27 62 75 69 6c 64 27  ..rm -rf 'build'
0320: 20 27 6f 75 74 27 20 27 69 6e 73 74 27 0a 6d 6b   'out' 'inst'.mk
0330: 64 69 72 20 27 62 75 69 6c 64 27 20 27 6f 75 74  dir 'build' 'out
0340: 27 20 27 69 6e 73 74 27 20 7c 7c 20 65 78 69 74  ' 'inst' || exit
0350: 20 31 0a 0a 54 43 4c 5f 56 45 52 53 49 4f 4e 3d   1..TCL_VERSION=
0360: 22 75 6e 6b 6e 6f 77 6e 22 0a 69 66 20 5b 20 2d  "unknown".if [ -
0370: 66 20 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49  f "${TCLCONFIGDI
0380: 52 7d 2f 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22  R}/tclConfig.sh"
0390: 20 5d 3b 20 74 68 65 6e 0a 20 20 20 20 20 20 20   ]; then.       
03a0: 20 73 6f 75 72 63 65 20 22 24 7b 54 43 4c 43 4f   source "${TCLCO
03b0: 4e 46 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66  NFIGDIR}/tclConf
03c0: 69 67 2e 73 68 22 0a 66 69 0a 65 78 70 6f 72 74  ig.sh".fi.export
03d0: 20 54 43 4c 5f 56 45 52 53 49 4f 4e 0a 0a 69 66   TCL_VERSION..if
03e0: 20 5b 20 21 20 2d 66 20 22 24 7b 53 52 43 7d 22   [ ! -f "${SRC}"
03f0: 20 5d 3b 20 74 68 65 6e 0a 09 6d 6b 64 69 72 20   ]; then..mkdir 
0400: 27 73 72 63 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c  'src' >/dev/null
0410: 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69   2>/dev/null...i
0420: 66 20 5b 20 21 20 2d 64 20 27 62 75 69 6c 64 73  f [ ! -d 'builds
0430: 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09 64 6f  rc' ]; then...do
0440: 77 6e 6c 6f 61 64 20 22 24 7b 53 52 43 55 52 4c  wnload "${SRCURL
0450: 7d 22 20 22 24 7b 53 52 43 7d 22 20 2d 20 7c 7c  }" "${SRC}" - ||
0460: 20 65 78 69 74 20 31 0a 09 66 69 0a 66 69 0a 0a   exit 1..fi.fi..
0470: 28 0a 09 63 64 20 27 62 75 69 6c 64 27 20 7c 7c  (..cd 'build' ||
0480: 20 65 78 69 74 20 31 0a 0a 09 69 66 20 5b 20 21   exit 1...if [ !
0490: 20 2d 64 20 27 2e 2e 2f 62 75 69 6c 64 73 72 63   -d '../buildsrc
04a0: 27 20 5d 3b 20 74 68 65 6e 0a 09 09 62 7a 69 70  ' ]; then...bzip
04b0: 32 20 2d 64 63 20 22 2e 2e 2f 24 7b 53 52 43 7d  2 -dc "../${SRC}
04c0: 22 20 7c 20 74 61 72 20 2d 78 66 20 2d 0a 09 65  " | tar -xf -..e
04d0: 6c 73 65 20 20 20 20 0a 09 09 63 70 20 2d 72 70  lse    ...cp -rp
04e0: 20 2e 2e 2f 62 75 69 6c 64 73 72 63 2f 2a 20 27   ../buildsrc/* '
04f0: 2e 2f 27 0a 09 66 69 0a 0a 09 23 20 41 70 70 6c  ./'..fi...# Appl
0500: 79 20 72 65 71 75 69 72 65 64 20 70 61 74 63 68  y required patch
0510: 65 73 0a 09 63 64 20 22 24 7b 42 55 49 4c 44 44  es..cd "${BUILDD
0520: 49 52 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 09  IR}" || exit 1..
0530: 66 6f 72 20 70 61 74 63 68 20 69 6e 20 22 24 7b  for patch in "${
0540: 50 41 54 43 48 44 49 52 7d 2f 61 6c 6c 22 2f 74  PATCHDIR}/all"/t
0550: 63 6c 78 2d 24 7b 54 43 4c 58 56 45 52 53 7d 2d  clx-${TCLXVERS}-
0560: 2a 2e 64 69 66 66 20 22 24 7b 50 41 54 43 48 44  *.diff "${PATCHD
0570: 49 52 7d 2f 24 7b 54 43 4c 5f 56 45 52 53 49 4f  IR}/${TCL_VERSIO
0580: 4e 7d 22 2f 74 63 6c 78 2d 24 7b 54 43 4c 58 56  N}"/tclx-${TCLXV
0590: 45 52 53 7d 2d 2a 2e 64 69 66 66 3b 20 64 6f 0a  ERS}-*.diff; do.
05a0: 09 09 69 66 20 5b 20 21 20 2d 66 20 22 24 7b 70  ..if [ ! -f "${p
05b0: 61 74 63 68 7d 22 20 5d 3b 20 74 68 65 6e 0a 09  atch}" ]; then..
05c0: 09 09 63 6f 6e 74 69 6e 75 65 0a 09 09 66 69 0a  ..continue...fi.
05d0: 0a 09 09 65 63 68 6f 20 22 41 70 70 6c 79 69 6e  ...echo "Applyin
05e0: 67 3a 20 24 7b 70 61 74 63 68 7d 22 0a 09 09 24  g: ${patch}"...$
05f0: 7b 50 41 54 43 48 3a 2d 70 61 74 63 68 7d 20 2d  {PATCH:-patch} -
0600: 70 31 20 3c 20 22 24 7b 70 61 74 63 68 7d 22 0a  p1 < "${patch}".
0610: 09 64 6f 6e 65 0a 0a 09 63 64 20 22 24 7b 42 55  .done...cd "${BU
0620: 49 4c 44 44 49 52 7d 22 20 7c 7c 20 65 78 69 74  ILDDIR}" || exit
0630: 20 31 0a 0a 09 23 20 54 72 79 20 74 6f 20 62 75   1...# Try to bu
0640: 69 6c 64 20 61 73 20 61 20 73 68 61 72 65 64 20  ild as a shared 
0650: 6f 62 6a 65 63 74 20 69 66 20 72 65 71 75 65 73  object if reques
0660: 74 65 64 0a 09 69 66 20 5b 20 22 24 7b 53 54 41  ted..if [ "${STA
0670: 54 49 43 54 43 4c 58 7d 22 20 3d 20 22 30 22 20  TICTCLX}" = "0" 
0680: 5d 3b 20 74 68 65 6e 0a 09 09 74 72 79 6f 70 74  ]; then...tryopt
0690: 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72  s="--enable-shar
06a0: 65 64 20 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61  ed --disable-sha
06b0: 72 65 64 22 0a 09 65 6c 69 66 20 5b 20 22 24 7b  red"..elif [ "${
06c0: 53 54 41 54 49 43 54 43 4c 58 7d 22 20 3d 20 22  STATICTCLX}" = "
06d0: 2d 31 22 20 5d 3b 20 74 68 65 6e 0a 09 09 74 72  -1" ]; then...tr
06e0: 79 6f 70 74 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d  yopts="--enable-
06f0: 73 68 61 72 65 64 22 0a 09 65 6c 73 65 0a 09 09  shared"..else...
0700: 74 72 79 6f 70 74 73 3d 22 2d 2d 64 69 73 61 62  tryopts="--disab
0710: 6c 65 2d 73 68 61 72 65 64 22 0a 09 66 69 0a 0a  le-shared"..fi..
0720: 09 53 41 56 45 5f 43 46 4c 41 47 53 3d 22 24 7b  .SAVE_CFLAGS="${
0730: 43 46 4c 41 47 53 7d 22 0a 09 66 6f 72 20 74 72  CFLAGS}"..for tr
0740: 79 6f 70 74 20 69 6e 20 24 74 72 79 6f 70 74 73  yopt in $tryopts
0750: 20 5f 5f 66 61 69 6c 5f 5f 3b 20 64 6f 0a 09 09   __fail__; do...
0760: 23 20 43 6c 65 61 6e 20 75 70 2c 20 69 66 20 6e  # Clean up, if n
0770: 65 65 64 65 64 0a 09 09 6d 61 6b 65 20 64 69 73  eeded...make dis
0780: 74 63 6c 65 61 6e 20 3e 2f 64 65 76 2f 6e 75 6c  tclean >/dev/nul
0790: 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 09 09  l 2>/dev/null...
07a0: 72 6d 20 2d 72 66 20 22 24 7b 49 4e 53 54 44 49  rm -rf "${INSTDI
07b0: 52 7d 22 0a 09 09 6d 6b 64 69 72 20 22 24 7b 49  R}"...mkdir "${I
07c0: 4e 53 54 44 49 52 7d 22 0a 0a 09 09 69 66 20 5b  NSTDIR}"....if [
07d0: 20 22 24 7b 74 72 79 6f 70 74 7d 22 20 3d 20 22   "${tryopt}" = "
07e0: 5f 5f 66 61 69 6c 5f 5f 22 20 5d 3b 20 74 68 65  __fail__" ]; the
07f0: 6e 0a 09 09 09 65 78 69 74 20 31 0a 09 09 66 69  n....exit 1...fi
0800: 0a 0a 09 09 69 66 20 5b 20 22 24 7b 74 72 79 6f  ....if [ "${tryo
0810: 70 74 7d 22 20 3d 3d 20 22 2d 2d 65 6e 61 62 6c  pt}" == "--enabl
0820: 65 2d 73 68 61 72 65 64 22 20 5d 3b 20 74 68 65  e-shared" ]; the
0830: 6e 0a 09 09 09 69 73 73 68 61 72 65 64 3d 22 31  n....isshared="1
0840: 22 0a 09 09 65 6c 73 65 0a 09 09 09 69 73 73 68  "...else....issh
0850: 61 72 65 64 3d 22 30 22 0a 09 09 66 69 0a 0a 09  ared="0"...fi...
0860: 09 23 20 49 66 20 62 75 69 6c 64 20 61 20 73 74  .# If build a st
0870: 61 74 69 63 20 54 63 6c 58 20 66 6f 72 20 4b 69  atic TclX for Ki
0880: 74 44 4c 4c 2c 20 65 6e 73 75 72 65 20 74 68 61  tDLL, ensure tha
0890: 74 20 77 65 20 75 73 65 20 50 49 43 0a 09 09 23  t we use PIC...#
08a0: 20 73 6f 20 74 68 61 74 20 69 74 20 63 61 6e 20   so that it can 
08b0: 62 65 20 6c 69 6e 6b 65 64 20 69 6e 74 6f 20 74  be linked into t
08c0: 68 65 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74  he shared object
08d0: 0a 09 09 69 66 20 5b 20 22 24 7b 69 73 73 68 61  ...if [ "${issha
08e0: 72 65 64 7d 22 20 3d 20 22 30 22 20 2d 61 20 22  red}" = "0" -a "
08f0: 24 7b 4b 49 54 54 41 52 47 45 54 7d 22 20 3d 20  ${KITTARGET}" = 
0900: 22 6b 69 74 64 6c 6c 22 20 5d 3b 20 74 68 65 6e  "kitdll" ]; then
0910: 0a 09 09 09 43 46 4c 41 47 53 3d 22 24 7b 53 41  ....CFLAGS="${SA
0920: 56 45 5f 43 46 4c 41 47 53 7d 20 2d 66 50 49 43  VE_CFLAGS} -fPIC
0930: 22 0a 09 09 65 6c 73 65 0a 09 09 09 43 46 4c 41  "...else....CFLA
0940: 47 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41 47  GS="${SAVE_CFLAG
0950: 53 7d 22 0a 09 09 66 69 0a 09 09 65 78 70 6f 72  S}"...fi...expor
0960: 74 20 43 46 4c 41 47 53 0a 0a 09 09 69 66 20 5b  t CFLAGS....if [
0970: 20 22 24 7b 69 73 73 68 61 72 65 64 7d 22 20 3d   "${isshared}" =
0980: 20 27 30 27 20 5d 3b 20 74 68 65 6e 0a 09 09 09   '0' ]; then....
0990: 73 65 64 20 27 73 40 55 53 45 5f 54 43 4c 5f 53  sed 's@USE_TCL_S
09a0: 54 55 42 53 40 58 58 58 5f 54 43 4c 5f 53 54 55  TUBS@XXX_TCL_STU
09b0: 42 53 40 67 27 20 63 6f 6e 66 69 67 75 72 65 20  BS@g' configure 
09c0: 3e 20 63 6f 6e 66 69 67 75 72 65 2e 6e 65 77 0a  > configure.new.
09d0: 09 09 65 6c 73 65 0a 09 09 09 73 65 64 20 27 73  ..else....sed 's
09e0: 40 58 58 58 5f 54 43 4c 5f 53 54 55 42 53 40 55  @XXX_TCL_STUBS@U
09f0: 53 45 5f 54 43 4c 5f 53 54 55 42 53 40 67 27 20  SE_TCL_STUBS@g' 
0a00: 63 6f 6e 66 69 67 75 72 65 20 3e 20 63 6f 6e 66  configure > conf
0a10: 69 67 75 72 65 2e 6e 65 77 0a 09 09 66 69 0a 09  igure.new...fi..
0a20: 09 63 61 74 20 63 6f 6e 66 69 67 75 72 65 2e 6e  .cat configure.n
0a30: 65 77 20 3e 20 63 6f 6e 66 69 67 75 72 65 0a 09  ew > configure..
0a40: 09 72 6d 20 2d 66 20 63 6f 6e 66 69 67 75 72 65  .rm -f configure
0a50: 2e 6e 65 77 0a 0a 09 09 28 0a 09 09 09 65 63 68  .new....(....ech
0a60: 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 2e 2f 63 6f  o "Running: ./co
0a70: 6e 66 69 67 75 72 65 20 24 74 72 79 6f 70 74 20  nfigure $tryopt 
0a80: 2d 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49 4e 53  --prefix=\"${INS
0a90: 54 44 49 52 7d 5c 22 20 2d 2d 65 78 65 63 2d 70  TDIR}\" --exec-p
0aa0: 72 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54 44 49  refix=\"${INSTDI
0ab0: 52 7d 5c 22 20 2d 2d 6c 69 62 64 69 72 3d 5c 22  R}\" --libdir=\"
0ac0: 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 5c 22  ${INSTDIR}/lib\"
0ad0: 20 2d 2d 77 69 74 68 2d 74 63 6c 3d 5c 22 24 7b   --with-tcl=\"${
0ae0: 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 5c 22 20  TCLCONFIGDIR}\" 
0af0: 24 7b 43 4f 4e 46 49 47 55 52 45 45 58 54 52 41  ${CONFIGUREEXTRA
0b00: 7d 22 0a 09 09 09 2e 2f 63 6f 6e 66 69 67 75 72  }"...../configur
0b10: 65 20 24 74 72 79 6f 70 74 20 2d 2d 70 72 65 66  e $tryopt --pref
0b20: 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22 20  ix="${INSTDIR}" 
0b30: 2d 2d 65 78 65 63 2d 70 72 65 66 69 78 3d 22 24  --exec-prefix="$
0b40: 7b 49 4e 53 54 44 49 52 7d 22 20 2d 2d 6c 69 62  {INSTDIR}" --lib
0b50: 64 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d 2f  dir="${INSTDIR}/
0b60: 6c 69 62 22 20 2d 2d 77 69 74 68 2d 74 63 6c 3d  lib" --with-tcl=
0b70: 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d  "${TCLCONFIGDIR}
0b80: 22 20 24 7b 43 4f 4e 46 49 47 55 52 45 45 58 54  " ${CONFIGUREEXT
0b90: 52 41 7d 0a 0a 09 09 09 65 63 68 6f 20 22 52 75  RA}.....echo "Ru
0ba0: 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d  nning: ${MAKE:-m
0bb0: 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d 5c  ake} tcllibdir=\
0bc0: 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 5c  "${INSTDIR}/lib\
0bd0: 22 20 41 52 3d 5c 22 24 7b 41 52 3a 2d 61 72 7d  " AR=\"${AR:-ar}
0be0: 5c 22 20 52 41 4e 4c 49 42 3d 5c 22 24 7b 52 41  \" RANLIB=\"${RA
0bf0: 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 5c 22 22  NLIB:-ranlib}\""
0c00: 0a 09 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65  ....${MAKE:-make
0c10: 7d 20 74 63 6c 6c 69 62 64 69 72 3d 22 24 7b 49  } tcllibdir="${I
0c20: 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 41 52 3d  NSTDIR}/lib" AR=
0c30: 22 24 7b 41 52 3a 2d 61 72 7d 22 20 52 41 4e 4c  "${AR:-ar}" RANL
0c40: 49 42 3d 22 24 7b 52 41 4e 4c 49 42 3a 2d 72 61  IB="${RANLIB:-ra
0c50: 6e 6c 69 62 7d 22 20 7c 7c 20 65 78 69 74 20 31  nlib}" || exit 1
0c60: 0a 0a 09 09 09 65 63 68 6f 20 22 52 75 6e 6e 69  .....echo "Runni
0c70: 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65  ng: ${MAKE:-make
0c80: 7d 20 74 63 6c 6c 69 62 64 69 72 3d 5c 22 24 7b  } tcllibdir=\"${
0c90: 49 4e 53 54 44 49 52 7d 2f 6c 69 62 5c 22 20 41  INSTDIR}/lib\" A
0ca0: 52 3d 5c 22 24 7b 41 52 3a 2d 61 72 7d 5c 22 20  R=\"${AR:-ar}\" 
0cb0: 52 41 4e 4c 49 42 3d 5c 22 24 7b 52 41 4e 4c 49  RANLIB=\"${RANLI
0cc0: 42 3a 2d 72 61 6e 6c 69 62 7d 5c 22 20 69 6e 73  B:-ranlib}\" ins
0cd0: 74 61 6c 6c 22 0a 09 09 09 24 7b 4d 41 4b 45 3a  tall"....${MAKE:
0ce0: 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72  -make} tcllibdir
0cf0: 3d 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62  ="${INSTDIR}/lib
0d00: 22 20 41 52 3d 22 24 7b 41 52 3a 2d 61 72 7d 22  " AR="${AR:-ar}"
0d10: 20 52 41 4e 4c 49 42 3d 22 24 7b 52 41 4e 4c 49   RANLIB="${RANLI
0d20: 42 3a 2d 72 61 6e 6c 69 62 7d 22 20 69 6e 73 74  B:-ranlib}" inst
0d30: 61 6c 6c 20 7c 7c 20 65 78 69 74 20 31 0a 09 09  all || exit 1...
0d40: 29 20 7c 7c 20 63 6f 6e 74 69 6e 75 65 0a 0a 09  ) || continue...
0d50: 09 62 72 65 61 6b 0a 09 64 6f 6e 65 0a 0a 09 69  .break..done...i
0d60: 66 20 5b 20 21 20 2d 65 20 22 24 7b 49 4e 53 54  f [ ! -e "${INST
0d70: 44 49 52 7d 2f 6c 69 62 2f 74 63 6c 78 38 2e 34  DIR}/lib/tclx8.4
0d80: 2f 70 6b 67 49 6e 64 65 78 2e 74 63 6c 22 20 5d  /pkgIndex.tcl" ]
0d90: 3b 20 74 68 65 6e 0a 09 09 63 61 74 20 3c 3c 20  ; then...cat << 
0da0: 5f 45 4f 46 5f 20 3e 20 22 24 7b 49 4e 53 54 44  _EOF_ > "${INSTD
0db0: 49 52 7d 2f 6c 69 62 2f 74 63 6c 78 38 2e 34 2f  IR}/lib/tclx8.4/
0dc0: 70 6b 67 49 6e 64 65 78 2e 74 63 6c 22 0a 70 61  pkgIndex.tcl".pa
0dd0: 63 6b 61 67 65 20 69 66 6e 65 65 64 65 64 20 54  ckage ifneeded T
0de0: 63 6c 78 20 38 2e 34 20 5b 6c 69 73 74 20 6c 6f  clx 8.4 [list lo
0df0: 61 64 20 7b 7d 20 54 63 6c 78 5d 0a 5f 45 4f 46  ad {} Tclx]._EOF
0e00: 5f 0a 20 20 20 20 20 20 20 20 66 69 0a 0a 09 23  _.        fi...#
0e10: 20 49 6e 73 74 61 6c 6c 20 66 69 6c 65 73 20 6e   Install files n
0e20: 65 65 64 65 64 20 62 79 20 69 6e 73 74 61 6c 6c  eeded by install
0e30: 61 74 69 6f 6e 0a 09 63 70 20 2d 72 20 22 24 7b  ation..cp -r "${
0e40: 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 22 24  INSTDIR}/lib" "$
0e50: 7b 4f 55 54 44 49 52 7d 22 20 7c 7c 20 65 78 69  {OUTDIR}" || exi
0e60: 74 20 31 0a 09 66 69 6e 64 20 22 24 7b 4f 55 54  t 1..find "${OUT
0e70: 44 49 52 7d 22 20 2d 6e 61 6d 65 20 27 2a 2e 61  DIR}" -name '*.a
0e80: 27 20 2d 74 79 70 65 20 66 20 7c 20 78 61 72 67  ' -type f | xarg
0e90: 73 20 2d 6e 20 31 20 72 6d 20 2d 66 20 2d 2d 0a  s -n 1 rm -f --.
0ea0: 0a 09 65 78 69 74 20 30 0a 29 20 7c 7c 20 65 78  ..exit 0.) || ex
0eb0: 69 74 20 31 0a 0a 65 78 69 74 20 30 0a           it 1..exit 0.